Modify

Opened 7 years ago

Last modified 4 years ago

#8389 new defect

nmap libnl dependency broken

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: packages Version: Backfire 10.03.1 RC4
Keywords: Cc:

Description

Installation of nmap using opkg does not install libnl, so on invocation fails because it can't find libnl.so.1.

Possible practical fixes are:

1- Install libnl.

2- Create a symbolic link to libnl-tiny (nmap invocation succeeds, but functionality not tested).

Attachments (0)

Change History (2)

comment:1 Changed 7 years ago by kevin@…

Nmap links against libnl unnecessarily. It should only link against libnl when using the bundled version of libpcap as a static library. I have reported this upstream, and it is fixed in the latest SVN. It should be fixed in the next nmap release, and/or the current version can be patched to fix it now.

comment:2 Changed 4 years ago by jow

  • Milestone changed from Backfire 10.03.2 to Chaos Calmer (trunk)

Milestone Backfire 10.03.2 deleted

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.